%global enable_tests 1
%global module_name infinity-agent

Name:           nodejs-%{module_name}
Version:        1.0.2
Release:        1%{?dist}
Summary:        Creates HTTP/HTTPS Agent with Infinity maxSockets

License:        MIT
URL:            https://github.com/floatdrop/infinity-agent
Source0:        https://github.com/floatdrop/infinity-agent/archive/v%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
Returns HTTP/HTTPS agent with maxSockets set to Infinity (based on URL or 
options).

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha -R spec
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Sat Jan 31 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.2-1
- update to 1.0.2 upstream release

* Sun Jan 11 2015 Parag Nemade <pnemade AT redhat DOT com> - 0.1.0-1
- Initial packaging

